package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PermintaanBarangDariRuanganSetVO extends BaseTransactionVO {

	@ManyToOne
	@JoinColumn(name = "ObjectPermintaanBarangDariRuanganFk")
	@Caption(value = "Object Permintaan Barang Dari Ruangan")
	private PermintaanBarangDariRuanganVO permintaanBarangDariRuangan;

	@Caption(value = "Nama Barang")
	private String namaBarang;

	@Caption(value = "Stok")
	private Integer stok;

	@Caption(value = "Qty")
	private Integer qty;

	@Caption(value = "Satuan")
	private String satuan;

	@Column(name = "NamaBarang", nullable = false)
	public String getNamaBarang() {
		return namaBarang;
	}

	public void setNamaBarang(String namaBarang) {
		this.namaBarang = namaBarang;
	}

	@Column(name = "Stok", nullable = false)
	public Integer getStok() {
		return stok;
	}

	public void setStok(Integer stok) {
		this.stok = stok;
	}

	@Column(name = "Qty", nullable = false)
	public Integer getQty() {
		return qty;
	}

	public void setQty(Integer qty) {
		this.qty = qty;
	}

	@Column(name = "Satuan", nullable = false)
	public String getSatuan() {
		return satuan;
	}

	public void setSatuan(String satuan) {
		this.satuan = satuan;
	}

	public PermintaanBarangDariRuanganVO getPermintaanBarangDariRuangan() {
		return permintaanBarangDariRuangan;
	}

	public void setPermintaanBarangDariRuangan(PermintaanBarangDariRuanganVO permintaanBarangDariRuangan) {
		this.permintaanBarangDariRuangan = permintaanBarangDariRuangan;
	}

}
